Commit 33653031 authored by Sergei Trofimovich's avatar Sergei Trofimovich
Browse files

ppc: switch handling of 'foreign import wrapper' (FIW) to libffi

Joseph Jezak reported darcs-2.4.4 SIGSEGV in interactive mode in ghc-6.12.3.
So I've concluded ppc also has rotten native adjustor. I don't have hardware
to verify the patch (ticket #3516 should help to test it), but I think it will
help (as similar patch helped for ia64 and ppc64).
parent 561472f2
......@@ -178,7 +178,7 @@ endif
# Whether to use libffi for adjustors (foreign import "wrapper") or
# not. If we have built-in support (rts/Adjustor.c) then we use that,
# otherwise we fall back on libffi, which is slightly slower.
ArchHasAdjustorSupport=$(strip $(if $(findstring $(HostArch_CPP),i386 x86_64 powerpc,),YES,NO))
ArchHasAdjustorSupport=$(strip $(if $(findstring $(HostArch_CPP),i386 x86_64,),YES,NO))
ifeq "$(ArchHasAdjustorSupport)" "YES"
UseLibFFIForAdjustors=NO
else
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment